Page MenuHomePhabricator

Move overrides to wikimediaoverrides json files
Closed, ResolvedPublic

Description

https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/e5667e5/WikimediaMessages.hooks.php#L25-L47

		static $keys = [
			'acct_creation_throttle_hit',
			'centralauth-contribs-locked',
			'centralauth-uwbr-intro',
			'centralauth-uwbr-registration-nodate',
			'createacct-helpusername',
			'createacct-imgcaptcha-help',
			'delete-toobig', // T139797
			'feedback-termsofuse',
			'flow-terms-of-use-new-topic',
			'flow-terms-of-use-reply',
			'flow-terms-of-use-edit',
			'flow-terms-of-use-summarize',
			'flow-terms-of-use-lock-topic',
			'flow-terms-of-use-unlock-topic',
			'globalrenamequeue-email-body-approved',
			'globalrenamequeue-email-body-rejected',
			'mwoauthserver-invalid-user',
			'privacypage',
			'sidebar',
			'sulrenamewarning-usenew',
			'ipb-confirmhideuser', // T121639
		];

Are all messages that are overridden for WMF usage.

But https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/bd14e64/i18n/wikimediaoverrides/en.jsononly contains 4 entries, but the array above contains 21

At least some of them are in https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/9a9cf28/i18n/wikimedia/en.json and they should be moved to the override files

I believe, if the en and possibly the qqq are moved, the next translatewiki export should move the translations

7 of them were at https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/d7b5f70/i18n/wikimedia/en.json#L243-L249

Event Timeline

Reedy created this task.Nov 20 2015, 6:27 PM
Reedy raised the priority of this task from to Needs Triage.
Reedy updated the task description. (Show Details)
Reedy added a subscriber: Reedy.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 20 2015, 6:27 PM
Reedy set Security to None.

I believe, if the en and possibly the qqq are moved, the next translatewiki export should move the translations

Yes.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 28 2016, 9:45 PM
Reedy updated the task description. (Show Details)Jul 3 2017, 11:13 PM
Reedy updated the task description. (Show Details)
Zppix added a subscriber: Zppix.Jul 16 2017, 2:51 AM

@Reedy, I tried to have a look at this task but it seems that the override file happens to be different from the one presented here. I don't know if this still applies to the change.

Reedy added a comment.Jul 16 2017, 7:10 PM

That's an old version of the file... https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/master/i18n/wikimediaoverrides/en.json is the master version

Any messages in https://github.com/wikimedia/mediawiki-extensions-WikimediaMessages/blob/master/i18n/wikimedia/en.json that are in the array listed at the top of the page (needs updating, will do so now) should be moved to the wikimediaoverrides set of files

Reedy updated the task description. (Show Details)Jul 16 2017, 7:12 PM
Reedy updated the task description. (Show Details)Jul 16 2017, 7:19 PM

Change 365535 had a related patch set uploaded (by Eugene233; owner: Eugene233):
[mediawiki/extensions/WikimediaMessages@master] Move overrides to wikimediaoverrides json files (en.json and qqq.json).

https://gerrit.wikimedia.org/r/365535

Change 365535 merged by jenkins-bot:
[mediawiki/extensions/WikimediaMessages@master] Move overrides to wikimediaoverrides json files (en.json and qqq.json)

https://gerrit.wikimedia.org/r/365535

D3r1ck01 closed this task as Resolved.Sep 22 2017, 9:55 PM
D3r1ck01 added subscribers: Legoktm, D3r1ck01.

Thanks @Eugene233 for working on this & @Legoktm for merging :).

I think this change caused l10n-bot to remove translations for the moved messages, see T179359: Many translations for 'createacct-helpusername-url' are missing. This should have been followed by a full export of messages for this extension from Translatewiki (or should have been done for all .json files, not only for en.json).